###################################################
### chunk number 1: 
###################################################
#line 23 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
library(nlstools)


###################################################
### chunk number 2: 
###################################################
#line 40 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
data(survivalcurve2)
preview(formula=mafart, data=survivalcurve2,
start=list(p = 1, delta = 1, LOG10N0 = 7))


###################################################
### chunk number 3: 
###################################################
#line 48 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
preview(formula=mafart, data=survivalcurve2,
start=list(p = 1, delta = 10, LOG10N0 = 7))


###################################################
### chunk number 4: 
###################################################
#line 55 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
preview(formula=mafart, data=survivalcurve2,
start=list(p = 2, delta = 10, LOG10N0 = 7.5))


###################################################
### chunk number 5: 
###################################################
#line 66 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
nlsmaf <- nls(mafart, survivalcurve2, list(p = 2, delta = 10, LOG10N0 = 7.5))
plotfit(nlsmaf,smooth=TRUE)


###################################################
### chunk number 6: 
###################################################
#line 73 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
model <- LOG10N ~ LOG10N0 - (t/delta)^p
nlsmaf <- nls(model, survivalcurve2, list(p = 2, delta = 10, LOG10N0 = 7.5))


###################################################
### chunk number 7: 
###################################################
#line 80 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
data(ross)
d6<-subset(ross, select = c(T, pH, aw, sqrtmumax))
nls6 <- nls(cpm_T_pH_aw, d6, list(muopt = 2, Tmin = 4,
Topt = 40, Tmax = 49,pHmin = 4, pHopt = 6.5, pHmax = 9,
awmin = 0.95, awopt = 0.995))
plotfit(nls6, variable = 1)


###################################################
### chunk number 8: 
###################################################
#line 88 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plotfit(nls6, variable = 2)


###################################################
### chunk number 9: 
###################################################
#line 94 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
overview(nlsmaf)


###################################################
### chunk number 10: 
###################################################
#line 104 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
resmaf<-nlsResiduals(nlsmaf)
plot(resmaf)


###################################################
### chunk number 11: 
###################################################
#line 113 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
test.nlsResiduals(resmaf)


###################################################
### chunk number 12: 
###################################################
#line 126 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
contmaf <- nlsContourRSS(nlsmaf)


###################################################
### chunk number 13: 
###################################################
#line 130 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plot(contmaf, col=FALSE, nlev=10)


###################################################
### chunk number 14: 
###################################################
#line 145 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
rcmaf <- nlsConfRegions(nlsmaf, length=500, exp=1)


###################################################
### chunk number 15: 
###################################################
#line 148 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plot(rcmaf, bounds=T)


###################################################
### chunk number 16: 
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
rcmaf <- nlsConfRegions(nlsmaf, length=500, exp=2)


###################################################
### chunk number 17: 
###################################################
#line 158 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plot(rcmaf,bounds=T)


###################################################
### chunk number 18: 
###################################################
#line 164 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
rcmaf <- nlsConfRegions(nlsmaf, length=2000, exp=2)


###################################################
### chunk number 19: 
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plot(rcmaf, bounds=F)


###################################################
### chunk number 20: 
###################################################
#line 176 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plot(rcmaf$cr[,1], rcmaf$cr[,3], pch=16, xlab='p', ylab='LOG10N')
contour(contmaf$seqPara[, 1], contmaf$seqPara[, 3], contmaf$lrss[[2]], 
                labels = "", levels = contmaf$lrss95, lty = 1, col = "red",add=T,lwd=5)


###################################################
### chunk number 21: 
###################################################
#line 189 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
jackmaf <- nlsJack(nlsmaf)


###################################################
### chunk number 22: 
###################################################
#line 192 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
summary(jackmaf)


###################################################
### chunk number 23: 
###################################################
#line 198 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plot(jackmaf)


###################################################
### chunk number 24: 
###################################################
#line 206 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
boomaf <- nlsBoot(nlsmaf, niter=2000) 


###################################################
### chunk number 25: 
###################################################
#line 210 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
summary(boomaf)


###################################################
### chunk number 26: 
###################################################
#line 216 "d:/Rcompile/CRANpkg/local/2.12/nlstools/inst/doc/nlstools_vignette.Rnw"
plot(boomaf, type="pairs")


